<?php
require_once(dirname(__FILE__)."/config.php");

if($step != 2)
{
	require_once(dirname(__FILE__)."/inc/inc_catalog_options.php");
	$aid = ereg_replace("[^0-9]","",$aid);
	$channelid="-2";
	$dsql = new DedeSql(false);
	//读取归档信息
	//------------------------------

	$arcQuery = "Select arc.*, arcadd.*, arctype.typename, arctype.smalltypes From #@__infos arc
	left join #@__addoninfos arcadd on arcadd.aid=arc.ID
	left join #@__arctype arctype on arctype.ID = arc.typeid
	 where arc.ID='$aid'";

	$info = $dsql->GetOne($arcQuery);
	//文章信息处理
	$info['endtime'] = ($info['endtime']-$info['senddate'])/86400;



	//小分类处理
if(is_array($info['smalltypes'])){
	$sql = "select * from #@__smalltypes where id in($info[smalltypes]);";
	$dsql->SetQuery($sql);
	$dsql->Execute();
	$smalltypes = '';
	while($smalltype = $dsql->GetArray())
	{
		$ifcheck ='';
		if($smalltype['id'] == $info['smalltypeid'])
		{
			$ifcheck = 'selected';
		}
		$smalltypes .= '<option value="'.$smalltype['id'].'"'.$ifcheck.'>'.$smalltype['name']."</option>\n";
	}
}


	if(!is_array($info)){
		$body = '';
		$dsql->Close();
		ShowMsg("读取频道信息出错!","-1");
		exit();
	}else
	{
		$body = $info["message"];
	}

	//////////////////////地区数据处理s/////////////////////////////
		$sql = "select * from #@__area";
		$dsql->SetQuery($sql);
		$dsql->Execute();
		$toparea = $subarea = array();
		while($sector = $dsql->GetArray())
		{
			if($sector['reid'] == 0)
			{
				$toparea[] = $sector;
			}else
			{
				$subarea[] = $sector;
			}
		}
		$areacache = "toparea=new Array();\n\n";
		$areaidname = $areaid2name = '-不限-';
		foreach($toparea as $topkey => $topsector)
		{
			if($topsector['id'] == $info['areaid'])
			{
				$areaidname = $topsector['name'];
			}
			$areacache .= "toparea[$topkey]=".'"'.$topsector['id'].'~'.$topsector['name'].'";'."\n";
			$areacache .= "\t".'subareas'.$topsector['id'].'=new Array();'."\n";
			$arrCount = 0;
			foreach($subarea as $subkey => $subsector)
			{
				if($subsector['id'] == $info['areaid2'])
				{
					$areaid2name = $subsector['name'];
				}
				if($subsector['reid'] == $topsector['id'])
				{//B1[0]="101~东城区";
					$areacache .= "\t".'subareas'.$topsector['id'].'['.$arrCount.']="'.$subsector['id'].'~'.$subsector['name'].'";'."\n";
					$arrCount++;
				}

			}
		}
		//echo $areacache;exit;
	//////////////////////地区数据处理e/////////////////////////////

	//////////////////////行业数据处理s/////////////////////////////
		$sql = "select * from #@__sectors";
		$dsql->SetQuery($sql);
		$dsql->Execute();
		$topsectors = $subsectors = array();
		while($sector = $dsql->GetArray())
		{
			if($sector['reid'] == 0)
			{
				$topsectors[] = $sector;
			}else
			{
				$subsectors[] = $sector;
			}
		}
		$sectorcache = "topsectors=new Array();\n\n";
		$sectoridname = $sectorid2name = '-不限-';
		foreach($topsectors as $topkey => $topsector)
		{
			if($topsector['id'] == $info['sectorid'])
			{
				$sectoridname = $topsector['name'];
			}
			$sectorcache .= "topsectors[$topkey]=".'"'.$topsector['id'].'~'.$topsector['name'].'";'."\n";
			$sectorcache .= "\t".'subsectors'.$topsector['id'].'=new Array();'."\n";
			foreach($subsectors as $subkey => $subsector)
			{
				if($subsector['id'] == $info['sectorid2'])
				{
					$sectorid2name = $subsector['name'];
				}
				if($subsector['reid'] == $topsector['id'])
				{//B1[0]="101~东城区";
					$sectorcache .= "\t".'subsectors'.$topsector['id'].'['.$subkey.']="'.$subsector['id'].'~'.$subsector['name'].'";'."\n";
				}

			}
		}
		//echo $sectorcache;exit;
	//////////////////////行业数据处理e/////////////////////////////

	require_once(dirname(__FILE__)."/templets/info_edit.htm");

}else
{
	require_once(dirname(__FILE__)."/../include/inc_photograph.php");
	require_once(dirname(__FILE__)."/../include/pub_oxwindow.php");
	require_once(dirname(__FILE__)."/inc/inc_archives_functions.php");

	if(!isset($iscommend)) $iscommend = 0;
	if(!isset($isjump)) $isjump = 0;
	if(!isset($isbold)) $isbold = 0;
	if(!isset($autokey)) $autokey = 0;
	if(!isset($remote)) $remote = 0;
	if(!isset($dellink)) $dellink = 0;
	if(!isset($autolitpic)) $autolitpic = 0;

	if(!isset($smalltypeid)) $smalltypeid = 0;

	if(!isset($sectorchange)){
		$sectorid = $oldsectorid;
		$sectorid2 = $oldsectorid2;
	}
	if(!isset($areachange)){
		$areaid = $oldareaid;
		$areaid2 = $oldareaid2;
	}


	if($typeid==0){
		ShowMsg("请指定文档的栏目！","-1");
		exit();
	}
	if(empty($channelid)){
		ShowMsg("文档为非指定的类型，请检查你发布内容的表单是否合法！","-1");
		exit();
	}
	if(!CheckChannel($typeid,$channelid) || !CheckChannel($typeid2,$channelid)){
		ShowMsg("你所选择的栏目与当前模型不相符，请选择白色的选项！","-1");
		exit();
	}
	if(!TestPurview('a_Edit')) {
		if(TestPurview('a_AccEdit')) CheckCatalog($typeid,"对不起，你没有操作栏目 {$typeid} 的文档权限！");
		else CheckArcAdmin($ID,$cuserLogin->getUserID());
	}

	$arcrank = GetCoRank($arcrank,$typeid);

	//对保存的内容进行处理
	//--------------------------------
	$iscommend = $iscommend + $isbold;
	$pubdate = GetMkTime($pubdate);
	$sortrank = AddDay($senddate,$sortup);
	$endtime = $senddate + 3600 * 24 * $endtime;


	$title = cn_substr($title,80);

	if($keywords!="") $keywords = trim(cn_substr($keywords,60))." ";

	//处理上传的缩略图
	if(empty($ddisremote)) $ddisremote = 0;
	$litpic = GetDDImage('none',$picname,$ddisremote);

	$body = stripslashes($body);

	//把内容中远程的图片资源本地化
	//------------------------------------
	if($isUrlOpen && $remote==1){
		$body = GetCurContent($body);
	}


	//自动获取缩略图
	if($autolitpic==1 && empty($litpic)){
	  $cfg_medias_dir = str_replace('/','\/',$cfg_medias_dir);
	  $picname = preg_replace("/.+?".$cfg_medias_dir."(.*)( |\"|').*$/isU",$cfg_medias_dir."$1",$body);
	  if(eregi("\.(jpg|gif|png)$",$picname)){
	  	 if(ereg("_lit\.",$picname)) $litpic = $picname;
	  	 else $litpic = GetDDImage('ddfirst',$picname,0);
	  }
	}

	$message = addslashes($body);


	//更新数据库的SQL语句
	//----------------------------------
	$inQuery = "
	update #@__infos set
	typeid=$typeid,
	smalltypeid=$smalltypeid,
	areaid=$areaid,
	areaid2=$areaid2,
	sectorid=$sectorid,
	sectorid2=$sectorid2,
	sortrank=$sortrank,
	pubdate=$pubdate,
	endtime=$endtime,
	title='$title',
	iscommend='$iscommend',
	keywords='$keywords',
	litpic='$litpic',
	description='$description',
	arcatt='$arcatt'
	where ID='$ID'; ";

	$dsql = new DedeSql();
	$dsql->SetQuery($inQuery);
	if(!$dsql->ExecuteNoneQuery()){
		$dsql->Close();
		ShowMsg("更新数据库infos表时出错，请检查！","-1");
		exit();
	}
	$sql = "update #@__addoninfos set typeid='$typeid',
	message='$message',
	contact='$contact',
	phone='$phone',
	fax='$fax',
	email='$email',
	qq='$qq',
	msn='$msn',
	address='$address'
  where aid='{$ID}'
	";
	$dsql->SetQuery($sql);
	if(!$dsql->ExecuteNoneQuery()){
		$dsql->Close();
		ShowMsg("更新数据库addoninfos表时出错，请检查！","-1");
		exit();
	}

	$dsql->Close();


	//---------------------------------
	//返回成功信息
	//----------------------------------

	$msg = "
	　　请选择你的后续操作：
	<a href='archives_do.php?aid=".$ID."&dopost=editArchives&channelid=-2'><u>查看更改</u></a>
	&nbsp;&nbsp;
	<a href='catalog_do.php?cid=$typeid&dopost=listArchives'><u>管理文章</u></a>
	&nbsp;&nbsp;
	<a href='catalog_main.php'><u>网站栏目管理</u></a>
	";

	$wintitle = "成功更改文章！";
	$wecome_info = "文章管理::更改文章";
	$win = new OxWindow();
	$win->AddTitle("成功更改文章：");
	$win->AddMsgItem($msg);
	$winform = $win->GetWindow("hand","&nbsp;",false);
	$win->Display();

}
?>


